#%RAML 1.0 Library
type: object
displayName: Resultado de análise
description: Dados de um resultado de uma análise em uma amostra
properties: 
    analise:
        type: string
        description: Nome da análise/ensaio realizado
    idAnalise:
        type: integer
        description: id da análise
    abreviacao:
        type: string
        description: Abreviação da análise/ensaio realizado
    metodo:
        type: string
        description: Método que foi utilizado
    grupoAnalise:
        type: string
        description: Nome do grupo de análise no qual esta análise/ensaio pertence
    resultado:
        type: string
        description: O valor do resultado da análise
    status:
        type: string
        enum: [NORMAL, ATENCAO, ANORMAL, CRITICO],
        description: Texto que define o resultado da análise. Poderá ser NORMAL, ATENCAO, ANORMAL e CRITICA
    tipoResultado:
        type: string
        enum: [NUMERICO, TEXTO, PDF, IMAGEM ],
        description: Define o formato do resultado. Numérico é float/real
    resultadoArquivo:
        type: object
        properties:
            mimeType:
                type: string
                description: Tipo MIME do arquivo
            idResultadoAnalise:
                type: integer                    
                description: "Para download do arquivo, o código deste campo deverá ser usado como entrada para a API 'Ver resultado de uma análise binária'
